//+------------------------------------------------------------------+
//|                                                       Thirds.mq4 |
//|                                                      Magnumfreak |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Magnumfreak"
#property link      ""

#property indicator_chart_window
int count =1;
extern color MediumBox_color=C'36,46,20';    
extern color ExternBox_color=C'53,46,00';    
extern int BarCount = 120;
extern bool DrawLines = false;
extern bool DrawBoxes = true;
double P1,P2,P3,P4,P5;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
if (DrawLines == true)
 {     ObjectCreate("onesixth",1,0,TimeCurrent(),High[120]);
      ObjectSet("onesixth",OBJPROP_COLOR,Goldenrod);
      ObjectSet("onesixth",OBJPROP_STYLE,STYLE_SOLID);
      ObjectSet("onesixth",OBJPROP_WIDTH,1);     
  
      ObjectCreate("twosixth",1,0,TimeCurrent(),High[120]);
      ObjectSet("twosixth",OBJPROP_COLOR,Green);
      ObjectSet("twosixth",OBJPROP_STYLE,STYLE_SOLID);
      ObjectSet("twosixth",OBJPROP_WIDTH,1);    

      ObjectCreate("threesixth",1,0,TimeCurrent(),High[120]);
      ObjectSet("threesixth",OBJPROP_COLOR,White);
      ObjectSet("threesixth",OBJPROP_STYLE,STYLE_SOLID);
      ObjectSet("threesixth",OBJPROP_WIDTH,1);
      
      ObjectCreate("foursixth",1,0,TimeCurrent(),Low[120]);
      ObjectSet("foursixth",OBJPROP_COLOR,Green);
      ObjectSet("foursixth",OBJPROP_STYLE,STYLE_SOLID);
      ObjectSet("foursixth",OBJPROP_WIDTH,1);
      
      ObjectCreate("fivesixth",1,0,TimeCurrent(),Low[120]);
      ObjectSet("fivesixth",OBJPROP_COLOR,Goldenrod);
      ObjectSet("fivesixth",OBJPROP_STYLE,STYLE_SOLID);
      ObjectSet("fivesixth",OBJPROP_WIDTH,1);
      
}      

    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  ObjectDelete("onesixth"); 
  ObjectDelete("twosixth"); 
  ObjectDelete("threesixth"); 
  ObjectDelete("foursixth"); 
  ObjectDelete("fivesixth"); 
  ObjectDelete("MediumBox"); 
  ObjectDelete("HighBox"); 
  ObjectDelete("LowBox"); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   
//----
//----
   // double value = WindowPriceMax(0)-WindowPriceMin(0);      //value top of the chart - value buttem
   double value = High[iHighest(NULL,0,MODE_HIGH,BarCount,1)] - Low[iLowest(NULL,0,MODE_LOW,BarCount,1)];      //value top of the chart - value bottom
   double sixth = value/6;
   double valueS = (value*(MathPow(10,Digits)));
   double sixthS = (sixth*(MathPow(10,Digits)));
   
   double seventh = value/7;
   //double valueS = (value*(MathPow(10,Digits)));
   double seventhS = (seventh*(MathPow(10,Digits)));
   
   if(ObjectFind("fivesixth")==-1)init();
   //Comment(ObjectFind("sixth"));
   P1=Low[iLowest(NULL,0,MODE_LOW,BarCount,1)]+sixth;
   P2=Low[iLowest(NULL,0,MODE_LOW,BarCount,1)]+sixth+sixth;
   P3=Low[iLowest(NULL,0,MODE_LOW,BarCount,1)]+sixth+sixth+sixth;
   P4=Low[iLowest(NULL,0,MODE_LOW,BarCount,1)]+sixth+sixth+sixth+sixth;
   P5=Low[iLowest(NULL,0,MODE_LOW,BarCount,1)]+sixth+sixth+sixth+sixth+sixth;
   if (DrawLines == true)
   {
      ObjectMove("onesixth",0,TimeCurrent(),P1);
      ObjectMove("twosixth",0,TimeCurrent(),P2);
      ObjectMove("threesixth",0,TimeCurrent(),P3);
      ObjectMove("foursixth",0,TimeCurrent(),P4);
      ObjectMove("fivesixth",0,TimeCurrent(),P5);
   }
   //Comment("Top to bottem = ", (valueS), " pips", "\n" ,"Distance between lines = ", (sixthS), " pips" , 
   //        "\n" ,"TAKE PROFIT DISTANCE = ", (seventhS), " pips");
   if (DrawBoxes == true)
   {
      if (ObjectFind("MediumBox") == -1)
         {      ObjectCreate("MediumBox",OBJ_RECTANGLE,0,0,0);    }
      ObjectSet("MediumBox",OBJPROP_PRICE1,P4);
      ObjectSet("MediumBox",OBJPROP_PRICE2,P2);
      ObjectSet("MediumBox",OBJPROP_COLOR,MediumBox_color);
      ObjectSet("MediumBox",OBJPROP_BACK,true);
      ObjectSet("MediumBox",OBJPROP_TIME1,iTime(NULL,0,Bars-1));
      if (ObjectGet("MediumBox",OBJPROP_TIME2) != iTime(NULL,0,0))
          ObjectSet("MediumBox",OBJPROP_TIME2,    iTime(NULL,0,0));
      
      if (ObjectFind("HighBox") == -1)
         {      ObjectCreate("HighBox",OBJ_RECTANGLE,0,0,0);   }
      ObjectSet("HighBox",OBJPROP_PRICE1,P5);
      ObjectSet("HighBox",OBJPROP_PRICE2,P4);
      ObjectSet("HighBox",OBJPROP_COLOR,ExternBox_color);
      ObjectSet("HighBox",OBJPROP_BACK,true);
      ObjectSet("HighBox",OBJPROP_TIME1,iTime(NULL,0,Bars-1));
      if (ObjectGet("HighBox",OBJPROP_TIME2) != iTime(NULL,0,0))
          ObjectSet("HighBox",OBJPROP_TIME2,    iTime(NULL,0,0));

      if (ObjectFind("LowBox") == -1)
         {    ObjectCreate("LowBox",OBJ_RECTANGLE,0,0,0);      }
      ObjectSet("LowBox",OBJPROP_PRICE1,P2);
      ObjectSet("LowBox",OBJPROP_PRICE2,P1);
      ObjectSet("LowBox",OBJPROP_COLOR,ExternBox_color);
      ObjectSet("LowBox",OBJPROP_BACK,true);
      ObjectSet("LowBox",OBJPROP_TIME1,iTime(NULL,0,Bars-1));
      if (ObjectGet("LowBox",OBJPROP_TIME2) != iTime(NULL,0,0))
          ObjectSet("LowBox",OBJPROP_TIME2,    iTime(NULL,0,0));
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+